Next: C64DTV-specific commands and settings, Previous: C64/128-specific commands and settings, Up: Machine-specific features [Contents][Index]

### 7.2 C128-specific commands and settings

#### 7.2.1 VDC settings

#### 7.2.1.1 VDC resources

`VDC64KB`

  Boolean to enabled/disable full 64KiB video ram.

`VDCRevision`

  Integer specifying the VDC hardware revision (0: Rev 0, 1: Rev 1, 2: Rev 2).

`VDCVideoCache`

  Boolean specifying whether the video cache is turned on.

`VDCDoubleSize`

  Boolean specifying whether double-size mode is turned on.

`VDCDoubleScan`

  Boolean specifying whether double-scan mode is turned on.

`VDCStretchVertical`

  Boolean specifying whether vertical stretching is turned on.

`VDCPaletteFile`

  String specifying the name of the palette file being used. The `.vpl` extension is optional.

`VDCExternalPalette`

  Boolean specifying whether to use external palette file or not.

`VDCColorSaturation`

  Integer specifying saturation of internal calculated palette. (0..2000)

`VDCColorContrast`

  Integer specifying contrast of internal calculated palette. (0..2000)

`VDCColorBrightness`

  Integer specifying brightness of internal calculated palette. (0..2000)

`VDCColorGamma`

  Integer specifying gamma of internal calculated palette. (0..4000)

`VDCColorTint`

  Integer specifying tint of internal calculated palette. (0..2000)

`VDCPALScanLineShade`

  Integer specifying amount of scan line shading for the CRT emulation. (0..1000)

`VDCPALBlur`

  Integer specifying amount of horizontal blur for the CRT emulation. (0..1000)

`VDCPALOddLinePhase`

  Integer specifying phase for color carrier in odd lines. (0..2000)

`VDCPALOddLineOffset`

  Integer specifying phase offset for color carrier in odd lines. (0..2000)

`VDCAudioLeak`

  Boolean specifying whether to enable/disable video to audio leak emulation.

`VDCFilter`

  Integer specifying rendering filter (0: None, 1: CRT emulation, 2: Scale2x)

#### 7.2.1.2 VDC command-line options

`-VDCvcache`
`+VDCvcache`

  Enable/disable the video cache (`VDCVideoCache=1`, `VDCVideoCache=0`).

`-VDCdsize`
`+VDCdsize`

  Enable/disable double size (`VDCDoubleSize=1`, `VDCDoubleSize=0`).

`-VDCstretchvertical`
`+VDCstretchvertical`

  Enable/Disable vertical stretching (`VDCStretchVertical=1`, `VDCStretchVertical=0`).

`-VDCdscan`
`+VDCdscan`

  Enable/disable double scan (`VDCDoubleScan=1`, `VDCDoubleScan=0`).

`-VDCintpal`

  Use an internal calculated palette (`VDCExternalPalette=0`).

`-VDCextpal`

  Use an external palette (file) (`VDCExternalPalette=1`).

`-VDCpalette <name>`

  Specify name of file of external palette (`VDCPaletteFile`).

`-VDC16KB`

  Set the VDC memory size to 16KiB (`VDC64KB=0`).

`-VDC64KB`

  Set the VDC memory size to 64KiB (`VDC64KB=1`).

`-VDCRevision <number>`

  Set VDC revision (`VDCRevision`). (0..2)

`-VDCsaturation <0-2000>`

  Set saturation of internal calculated palette (`VDCColorSaturation`).

`-VDCcontrast <0-2000>`

  Set contrast of internal calculated palette (`VDCColorContrast`).

`-VDCbrightness <0-2000>`

  Set brightness of internal calculated palette (`VDCColorBrightness`).

`-VDCgamma <0-4000>`

  Set gamma of internal calculated palette (`VDCColorGamma`).

`-VDCtint <0-2000>`

  Set tint of internal calculated palette (`VDCColorTint`).

`-VDCoddlinesphase <0-2000>`

  Set phase for color carrier in odd lines (`VDCPALOddLinePhase`).

`-VDCoddlinesoffset <0-2000>`

  Set phase offset for color carrier in odd lines (`VDCPALOddLineOffset`).

`-VDCcrtblur <0-1000>`

  Amount of horizontal blur for the CRT emulation (`VDCPALBlur`).

`-VDCcrtscanlineshade <0-1000>`

  Amount of scan line shading for the CRT emulation (`VDCPALScanLineShade`).

`-VDCaudioleak`
`+VDCaudioleak`

  Enable/disable video to audio leak emulation (`VDCAudioLeak=1`, `VDCAudioLeak=0`).

`-VDCfilter <Mode>`

  Select rendering filter (`VDCFilter`). (0: None, 1: CRT emulation, 2: Scale2x)

#### 7.2.2 C128 system ROM settings

#### 7.2.2.1 C128 system ROM resources

`ChargenIntName`

  String specifying the filename of the international character generator ROM image.

`ChargenDEName`

  String specifying the filename of the German character generator ROM image.

`ChargenFRName`

  String specifying the filename of the French character generator ROM image.

`ChargenSEName`

  String specifying the filename of the Swedish character generator ROM image.

`ChargenCHName`

  String specifying the filename of the Swiss character generator ROM image.

`ChargenNOName`

  String specifying the filename of the Norwegian character generator ROM image.

`KernalIntName`

  String specifying the filename of the international Kernal ROM image.

`KernalDEName`

  String specifying the filename of the German Kernal ROM image.

`KernalFIName`

  String specifying the filename of the Finnish Kernal ROM image.

`KernalFRName`

  String specifying the filename of the French Kernal ROM image.

`KernalITName`

  String specifying the filename of the Italian Kernal ROM image.

`KernalNOName`

  String specifying the filename of the Norwegian Kernal ROM image.

`KernalSEName`

  String specifying the filename of the Swedish Kernal ROM image.

`KernalCHName`

  String specifying the filename of the Swiss Kernal ROM image.

`BasicLoName`
`BasicHiName`

  Strings specifying the filename of the Basic ROM images.

`Kernal64Name`

  String specifying the filename of the C64 Kernal ROM image.

`Basic64Name`

  String specifying the filename of the C64 Basic ROM image.

`InternalFunctionROM`

  Integer specifying the internal function ROM type (0: None, 1: ROM, 2: RAM, 3: RTC).

`InternalFunctionName`

  String specifying the filename of the ROM image for the internal function ROM.

`InternalFunctionROMRTCSave`

  Boolean to enable/disable the saving of the Internal Function RTC data when changed.

`ExternalFunctionROM`

  Integer specifying the external function ROM type (0: None, 1: ROM, 2: RAM, 3: RTC)

`ExternalFunctionName`

  String specifying the filename of the ROM image for the external function ROM.

`ExternalFunctionROMRTCSave`

  Boolean to enable/disable the saving of the External Function RTC data when changed.

#### 7.2.2.2 C128 system ROM command-line options

`-basic64 <name>`

  Specify name of C64 mode BASIC ROM image (`Basic64Name`).

`-kernal64 <name>`

  Specify name of C64 mode Kernal ROM image (`Kernal64Name`).

`-basiclo <name>`

  Specify name of BASIC ROM image (lower part) (`BasicLoName`).

`-basichi <name>`

  Specify name of BASIC ROM image (higher part) (`BasicHiName`).

`-kernal <name>`

  Specify name of international Kernal ROM image (`KernalIntName`).

`-kernalde <name>`

  Specify name of German Kernal ROM image (`KernalDEName`).

`-kernalfi <name>`

  Specify name of Finnish Kernal ROM image (`KernalFIName`).

`-kernalfr <name>`

  Specify name of French Kernal ROM image (`KernalFRName`).

`-kernalit <name>`

  Specify name of Italian Kernal ROM image (`KernalITName`).

`-kernalno <name>`

  Specify name of Norwegian Kernal ROM image (`KernalNOName`).

`-kernalse <name>`

  Specify name of Swedish Kernal ROM image (`KernalSEName`).

`-kernalch <name>`

  Specify name of Swiss Kernal ROM image (`KernalCHName`).

`-chargen <name>`

  Specify name of international character generator ROM image (`ChargenIntName`).

`-chargde <name>`

  Specify name of German character generator ROM image (`ChargenDEName`).

`-chargfr <name>`

  Specify name of French character generator ROM image (`ChargenFRName`).

`-chargse <name>`

  Specify name of Swedish character generator ROM image (`ChargenSEName`).

`-chargch <name>`

  Specify name of Swiss character generator ROM image (`ChargenCHName`).

`-chargno <name>`

  Specify name of Norwegian character generator ROM image (`ChargenNOName`).

`-intfunc <type>`

  Set the internal Function ROM type (`InternalFunctionROM`). (0: None, 1: ROM, 2: RAM, 3: RTC)

`-intfrom <name>`

  Specify name of internal Function ROM image (`InternalFunctionName`).

`-intfuncrtcsave`
`+intfuncrtcsave`

  Enable/disable the saving of the Internal Function RTC data when changed (`InternalFunctionROMRTCSave=1`, `InternalFunctionROMRTCSave=0`).

`-extfunc <type>`

  Set the external Function ROM type (`ExternalFunctionROM`). (0: None, 1: ROM, 2: RAM, 3: RTC)

`-extfrom <name>`

  Specify name of external Function ROM image (`ExternalFunctionName`).

`-extfuncrtcsave`
`+extfuncrtcsave`

  Enable/disable the saving of the External Function RTC data when changed (`ExternalFunctionROMRTCSave=1`, `ExternalFunctionROMRTCSave=0`).

#### 7.2.3 C128 settings

#### 7.2.3.1 C128 resources

`C128ColumnKey`

  Boolean specifying the status of the 40/80 columns key. (0: Not pressed, 1: Pressed)

`Go64Mode`

  Boolean, if true enter C64 mode on reset.

`C128FullBanks`

  Boolean to enable/disable RAM banks 2 and 3.

`MachineType`

  Integer specifying the C128 machine type. (0: International, 1: Finnish, 2: French, 3: German, 4: Italian, 5: Norwegian, 6: Swedish)

`MachineVideoStandard`

  Integer that specifies the video standard of the emulated machine (1: PAL, 2: NTSC).

`C128HideVDC`

  Boolean to enable/disable the VDC display window.

#### 7.2.3.2 C128 command-line options

`-40col`

  Activate 40 column mode (`C128ColumnKey=1`).

`-80col`

  Activate 80 column mode (`C128ColumnKey=0`).

`-go64`

  Always switch to C64 mode on reset (`Go64Mode=1`.

`+go64`

  Always switch to C128 mode on reset (`Go64Mode=0`.

`-pal`

  Use PAL sync factor (`MachineVideoStandard=1`).

`-ntsc`

  Use NTSC sync factor (`MachineVideoStandard=2`).

`-model <Model>`

  Set the C128 model (`MachineVideoStandard`, `CIA1Model`, `CIA2Model`, `VICIINewLuminances`, `VDCRevision`, `VDC64KB`, `SidEngine`, `SidModel`). (c128/c128dcr, pal/ntsc)

`-c128fullbanks`
`+c128fullbanks`

  Enable/disable RAM banks 2 and 3 (`C128FullBanks=1`, `C128FullBanks=0`).

`-machinetype <Type>`

  Set the C128 machine type (`MachineType`). (0: International, 1: Finnish, 2: French, 3: German, 4: Italian, 5: Norwegian, 6: Swedish)

`-hidevdcwindow`
`+hidevdcwindow`

  Hide/show the VDC display window (`C128HideVDC=1`, `C128HideVDC=0`).

Next: C64DTV-specific commands and settings, Previous: C64/128-specific commands and settings, Up: Machine-specific features [Contents][Index]